﻿using System;
using System.Collections.Generic;
using HeuristicLab.Encodings.IntegerVectorEncoding;

namespace HeuristicLab.Analysis.FitnessLandscape {
  public static class IntegerVectorPathAnalysis {
    public static CurveAnalysisResult GetCharacteristics(List<List<Tuple<IntegerVector, double>>> trajectories) {
      return CurveAnalysis<IntegerVector>.GetCharacteristics(trajectories, Dist);
    }

    private static double Dist(IntegerVector a, IntegerVector b) {
      var dist = 0;
      for (var i = 0; i < a.Length; i++)
        if (a[i] != b[i]) dist++;
      return dist;
    }
  }
}
